@charset "utf-8";

:root {
	/* ページ全体の背景色 */
	--body-bg: #30121d;

	/* メインの文字色 */
	--main-text-color: #ffe7e7;

	/* アクセントカラー */
	--accent: #ff6ba0;

	/* レイアウトボックスの背景色 */
	--sub-bg-color: #462231;

	/* 赤文字の色 */
	--red: #ff2e53;

	/* レイアウトボックスの角丸 */
	--radius: 10px;

	/* レイアウトボックスのドロップシャドウ */
	--shadow: drop-shadow(0 1px 1px #0009);

	/* メインのフォントファミリー */
	--main-font-family: "Noto Sans JP", "Helvetica Neue", "Helvetica", "Hiragino Sans", "Hiragino Kaku Gothic ProN", "Arial", "Segoe UI", "Meiryo", sans-serif;

	--button: color-mix(in srgb, var(--accent) 50%, var(--main-text-color));
}

em{
	text-decoration-color: var(--accent-60);
}
#popover{
	background-color: var(--sub-bg-color);
}
.postarea{
	form.postform{
		textarea.tegalogpost{
			background-color: var(--body-bg);
			border: 1px solid var(--button);
		}
		input.postbutton{
			background-color: var(--button);
		}
		input[type="button"]{
			background-color: var(--button);
		}
		input[type="file"],
		select.hashtagEasyInput{
			border-color: var(--button);
		}
		::file-selector-button{
			background-color: var(--button);
		}
		::file-selector-button:hover{
			background-color: var(--main-text-color);
		}
	}
}